Skip to main content
GET
/
experiment-templates
cURL
curl -X GET https://api.growthbook.io/api/v1/experiment-templates -u secret_abc123DEF456
{
  "experimentTemplates": [
    {
      "id": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "owner": "<string>",
      "templateMetadata": {
        "name": "<string>",
        "description": "<string>"
      },
      "type": "standard",
      "datasource": "<string>",
      "exposureQueryId": "<string>",
      "statsEngine": "bayesian",
      "targeting": {
        "coverage": 123,
        "condition": "<string>",
        "savedGroups": [
          {
            "match": "all",
            "ids": [
              "<string>"
            ]
          }
        ],
        "prerequisites": [
          {
            "id": "<string>",
            "condition": "<string>"
          }
        ]
      },
      "project": "<string>",
      "hypothesis": "<string>",
      "description": "<string>",
      "tags": [
        "<string>"
      ],
      "customFields": {},
      "hashAttribute": "<string>",
      "fallbackAttribute": "<string>",
      "disableStickyBucketing": true,
      "goalMetrics": [
        "<string>"
      ],
      "secondaryMetrics": [
        "<string>"
      ],
      "guardrailMetrics": [
        "<string>"
      ],
      "activationMetric": "<string>",
      "segment": "<string>",
      "skipPartialData": true,
      "customMetricSlices": [
        {
          "slices": [
            {
              "column": "<string>",
              "levels": [
                "<string>"
              ]
            }
          ]
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

projectId
string

Response

200 - application/json

Success

experimentTemplates
object[]
required